Arch Fenster

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Window and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська

Arch Window.svg Arch Fenster

Menüeintrag
Architektur → Fenster
Arbeitsbereich
Arch
Standardtastenkürzel
W I
Eingeführt in Version
-
Siehe auch
Arch Wand, Arch Hinzufügen

Beschreibung

Ein Arch Fenster ist ein Basisobjekt für alle Arten von "einbettbaren" Objekten, wie z.B. Fenster und Türen. Es ist so konzipiert, dass es entweder unabhängig ist oder in einer anderen Komponente "untergebracht" wird, wie z.B. einem Arch Wänden, Arch Strukturen oder Arch Dächern. Es hat eine eigene Geometrie, die aus mehreren festen Komponenten bestehen kann (üblicherweise aus einem Rahmen und inneren Platten), und definiert auch ein Volumen, das von den aufnehmenden Objekten abgezogen wird, um eine Öffnung zu erzeugen.

Fensterobjekte basieren auf geschlossenen 2D Objekten, wie z.B. Entwurf Rechtecken oder Skizzen, die zur Definition der inneren Fensterkomponenten verwendet werden. Das zugrundeliegende 2D Objekt muss also mehrere geschlossene Kantenzüge (Wire) enthalten, welche kombiniert werden können, um gefüllte Platten (ein Kantenzug) oder Rahmen (mehrere Kantenzüge) zu definieren.

Das Fensterwerkzeug besitzt mehrere Voreinstellungen; dies ermöglicht es dem Benutzer, gängige Arten von Fenstern und Türen mit bestimmten änderbaren Parametern zu erstellen, ohne dass der Benutzer die 2D Basisobjekte und Komponenten manuell erstellen muss.

Jede auf ein Arch Fenster zutreffende Information gilt auch für eine Arch Tür, denn es ist das gleiche darunter liegende Objekt. Der Hauptunterschied zwischen einem Fenster und einer Tür besteht darin, dass die Tür eine interne Füllung hat, die undurchsichtig ist (die Tür selbst), während das Fenster eine teilweise durchsichtige Füllung hat (das Glas).

Arch Window example.jpg

Fenster auf Grundlage eines Entwurf Rechtecks konsturiert und in eine Arch Wand eingefügt. Das Arch Hinzufügen eines Fensters zu einer Wand erzeugt automatisch einen passenden Wanddurchbruch in derselben.

Arch Window example2.jpg

Komplexes Fenster, das auf einer Skizze konstruiert wird. Wenn du in den Bearbeitungsmodus des Fensters eintritts, kannst du verschiedene Komponenten erstellen, ihre Dicke einstellen und Drähte aus der Skizze auswählen und ihnen zuweisen.

Anwendung

Eine Voreinstellung verwenden

  1. Drücke die Arch Window.svg Arch Fenster Schaltfläche, oder drücke W dann I Tasten.
  2. Wähle eine der Voreinstellungen in der Liste aus.
  3. Fülle die gewünschten Parameter aus.
  4. In der 3D Ansicht, Bewege das Fenster an die Stelle, an der du es platzieren möchtest. Wenn du den Mauszeiger über eine Arch Wand bewegst, sollte sich der Umriss des Fensters an der Fläche dieses Objekts ausrichten.
  5. Klick auf die 3D Ansicht mit der Maus oder drücke die Eingabe Taste dreimal, um die X, Y, Z Koordinaten der Platzierung zu bestätigen.

Hinweis: Falls du die "Parts Library" über den Erweiterungsverwalter installierst, wird das Fenster-Werkzeug diese Bibliothek nach weiteren Voreinstellungen durchsuchen. Diese Voreinstellungen sind FreeCAD-Dateien, die jeweils ein einzelnes Fenster basierend auf einer parametrisierten Skizze mit benannten Beschränkungen enthalten. Du kannst zusätzliche Voreinstellungen im parts_library-Verzeichnis platzieren, so dass sie vom Fenster-Werkzeug gefunden werden.

$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Doors/Custom/
$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Windows/Custom/

Das $ROOT_DIR ist das Benutzerverzeichnis, wo die FreeCAD-Konfiguration, Makros und externe Arbeitsbereiche gespeichert werden.

  • Unter Linux ist es normalerweise /home/username/.FreeCAD/
  • Unter Windows ist es normalerweise C:\users\Benutzername\Anwendungsdaten\FreeCAD\
  • Unter Mac OSX ist es normalerweise /Benutzer/Benutzername/Bibliothek/Einstellungen/FreeCAD/

Erzeugung von Anfang an

  1. Wählen Sie (optional) eine Fläche des Arch-Objekts, wo Sie das Fenster einfügen möchten.
  2. Wechseln Sie zum Sketcher-Arbeitsbereich.
  3. Erzeugen Sie eine neue Skizze.
  4. Zeichnen Sie ein oder mehrere geschlossene Linienzüge (Schleifen).
  5. Schließen Sie die Skizze.
  6. Wechseln Sie zurück zum Arch-Arbeitsbereich.
  7. Drücken Sie den Arch Window.png Fenster-Button oder drücken Sie W, dann I.
  8. Um die Fensterkomponenten und verschiedene Eigenschaften anzupassen, aktivieren Sie das Aufgaben-Paneel durch Doppelklick auf das erstellte Objekt in der Baumansicht.

Hinweis: Achten Sie bei der Erstellung der Skizze genau auf die Erstellungsreihenfolge der Schleifen; die Nummerierung der "Linienzüge" in der Baumansicht ("Windows elements") hängt hiervon ab.

Voreinstellungen

Die folgenden Voreinstellungen sind verfügbar:

Teilkomponenten

Fenster können drei Arten von Komponenten enthalten: Rahmen, Füllungen und Lüftungsschlitze. Füllungen und Lüftungsschlitze werden aus einer geschlossenen Linie extrudiert, während Rahmen aus zwei oder mehr geschlossenen Kantenzügen bestehen, welche jeder extrudiert und anschließend die kleineren vom größten subtrahiert werden. Im Editiermodus (Doppelklick auf die Baumansicht) können Fensterkomponenten erzeugt, geändert und gelöscht werden. Die Komponenten besitzen folgende Eigenschaften:

  • Name: der Komponentenname
  • Type: der Komponententyp. Dies kann "Frame" (Rahmen), "Glass panel" (Glasfüllung), "Solid panel" (massive Füllung) oder "Louvres" (Lüftungsschlitz) sein.
  • Wires: eine durch Kommata getrennte Liste von Drähten, auf denen die Komponente basiert
  • Thickness: die Extrusionsdicke der Komponente
  • Z Offset: der Abstand zwischen der Komponente und ihrer 2D-Drähte
  • Hinge: Dies erlaubt es, eine Kante des Basis-2D-Objekts auszuwählen, diese als Scharnier (hinge) für diese Komponente und die nächsten in der Liste zu setzen
  • Opening mode: Wenn in dieser Komponente oder einer früheren in der Liste ein Scharnier definiert wurde, erlaubt das Setzen des "Opening mode" das Fenster als "offen" erscheinen zu lassen oder 2D-Symbole für "zu-öffnend" in Drauf- oder Seitenansichten anzuzeigen.

Arch Window options.jpg

Optionen

  • Fenster teilen die gemeinsamen Eigenschaften und Verhaltensweisen aller Arch-Komponenten
  • Falls das Auto-include-Ankreuzfeld auf dem Fenstererstellungs-Aufgabenpaneel nicht aktiviert ist, wird das Fenster bei der Erstellung in kein Host-Objekt eingefügt
  • Füge ein Fenster in eine Wand ein, indem du beide auswählst und dann die Arch Add.svg Hinzufügen-Schaltfläche drückst.
  • Entferne ein Fenster aus einer Wand, indem du das Fenster auswählst und dann die Arch Remove.svg Komponente Entfernen-Schaltfläche drückst.
  • Beim Verwenden von Voreinstellungen ist es oft bequem, die Entwurf Fang-Option "Nächste" einzuschalten, so dass du dein Fenster an eine vorhandene Fläche einrasten lassen kannst.
  • Das durch ein Fenster erzeugte Loch in einem Host-Objekt wird durch zwei Eigenschaften festgelegt: Daten-EigenschaftHole Depth and Daten-EigenschaftHole Wire (eingeführt in Version 0.17). Die Hole Wire-Nummer ist in der 3D-Ansicht des Fenster-Aufgabenpaneels sichtbar nach einem Doppelklick auf das Fenster in der Baumansicht
  • Fenster können MehrfachMaterial verwenden. Das Fenster wird im beigefügten Mehrfachmaterial für jede Fenster-Komponente nach Materialebenen mit gleichem Namen suchen und sie benutzen. Bspw. wird eine Komponente namens "OuterFrame" in dem beigefügten Mehrfachmaterial nach einer Materialebene namens "OuterFrame" suchen. Wenn solch eine Materialebene gefunden wird, wird dieses Material der OuterFrame-Komponente zugeordnet. Der "Thickness"-Wert der Materialebene wird nicht beachtet.

Öffnungen

Siehe auch: Tutorium für offene Fenster

Türen und Fenster können im 3D-Modell teilweise oder vollständig geöffnet erscheinen oder mit "zu öffnend"-Symbolen sowohl in Drauf- und/oder Seitenansichten dargestellt werden. Deshalb werden diese auch in "extrahierten" 2D-Ansichten angezeigt, die durch Form in 2D-Ansicht oder TechDraw-Arbeitsbereich oder Zeichnung-Arbeitsbereich generiert werden. Um dies zu erreichen, muss für wenigstens eine der Fensterkomponenten ein Scharnier und ein Öffnungsmodus definiert sein (siehe Teilkomponenten oben). Dann kann mit Hilfe der DatenOpening-, DatenSymbol Plan- oder DatenSymbol Elevation-Eigenschaften das Aussehen des Fensters konfiguriert werden.

Arch window openings.png

Eine Tür, die den Symbolplan, die Symbolhöhe und die Öffnungseigenschaften bei der Arbeit zeigt

Festlegen von Fenstertypen

Fenster kann auch andere Werkzeuge nutzen, insbesondere PartDesign Arbeitsabläufe, um einen Typ zu definieren. Ein Typ ist ein Objekt, das die Form des Fensters definiert. Dies eignet sich besonders gut für die Arbeit mit Anwendung Part:

Arch window type example.png

Lade die oben gezeigte Beispieldatei herunter

Beispiel Arbeitsablauf

  • Erstelle ein Fenster-Rahmen-Objekt, eine Glasscheibe oder jede andere Fenster-Komponente, die du brauchst, mit den Werkzeugen des Part- oder PartDesign-Arbeitsbereichs
  • Erstelle bspw. eine rechteckige Basisskizze für dein Fenster, dann eine Profilskizze für den Rahmen und eine Austragung, um das Profil um die Basisskizze herumzuführen. Erstelle einen Versatz2D von der Basisskizze, extrudiere dann zur Erstellung der Glasscheibe
  • Stelle sicher, dass alle Teile einen eindeutigen, aussagekräftigen Namen haben (z.B. "Rahmen" oder "Glasscheibe")
  • Erstelle einen App Teil und platziere alle Subkomponenten darin
  • Erstelle einen Volumenkörper (volume), um ihn von der Wand zu subtrahieren, z.B. durch Extrudieren der Basisskizze. Füge diesen Volumenkörper dem Teil hinzu. Stelle sicher, dass dieser Volumenkörper ausgeschaltet ist
  • Falls FreeCAD v0.19 oder später verwendet wird, kannst du durch Rechtsklick in der Eigenschaftenansicht "Alle anzeigen" aktivieren und drei Eigenschaften zu deinem App Teil hinzufügen. Füge die folgenden Eigenschaften hinzu (alle von ihnen sind optional, die Gruppe spielt keine Rolle):
    • Height als PropertyLength und verbinde sie z.B. mit einer vertikalen Beschränkung deiner Basisskizze
    • Width als PropertyLength und verbinde sie z.B. mit einer horizontalen Beschränkung deiner Basisskizze
    • Subvolume als PropertyLink und verbinde sie z.B. mit dem Volumenkörper, den wir oben erstellt haben
    • Tag als PropertyString

Werkstoffe

Unser Fenster-Typ ist nun fertig. Wir können Fenster-Objekte daraus erstellt durch einfache Auswahl des App-Teils und drücken der Fenster-Schaltfläche. Die "Height"-, "Width"-, "Subvolume"- und "Tag"-Eigenschaften des Fensters werden mit dem entsprechenden Eigenschaften des App-Teils verbunden, soweit vorhanden.

Um Materialien für typbasierte Fenster zu erstellen:

  • Erstelle ein MehrfachMaterial
  • Erstelle einen Eintrag im Mehrfachmaterial für jede Komponente deines App-Teils, z.B. ein "Rahmen", eine "Glasscheibe" wie oben benutzt. Stelle sicher, exakt den gleichen Namen zu benutzen
  • Ordne dieses Mehrfachmaterial jedem Fenster zu, das vom gleichen Typ abgeleitet ist


Du kannst einen beliebig anderen Arbeitsablauf verwenden, solange du folgende wichtige Punkte berücksichtigst:

  • Das Typ-Objekt muss ein Objekt sein, ungeachtet des Typs (App Teil, Körper, Verbund oder auch ein weiteres Fenster)
  • Das Typ-Objekt muss eine "Subvolume"-Eigenschaft (verbunden mit der Fenster-Subvolume-Eigenschaft) für Öffnungen in Host-Objekten haben, um zu funktionieren
  • Das Typ-Objekt muss eine "Group"-Eigenschaft mit unterschiedlichen "Kindern" haben, deren Namen mit den Namen von Mehrfachmaterial-Elementen übereinstimmen, um zu funktionieren

Eigenschaften

  • Daten-EigenschaftHeight: Die Höhe dieses Fensters
  • Daten-EigenschaftWidth: Die Breite dieses Fensters
  • Daten-EigenschaftHole Depth: Die Tiefe der Öffnung (hole), die durch dieses Fenster im Host-Objekt erzeugt wird
  • Daten-EigenschaftHole Wire: Die Nummer des Linienzuges des Basisobjekts, das für die Erstellung einer Öffnung im Host-Objekt dieses Fensters benutzt wird. Dieser Wert kann grafisch gesetzt werden durch doppelklicken des Fensters in der Baumansicht. Durch Setzen eines Wertes von 0 wählt das Fenster automatisch den größten Linienzug für die Öffnung
  • Daten-EigenschaftWindow Parts: Eine String-Liste (fünf Zeichenketten pro Komponente zum Setzen der o.g. Komponentenoptionen)
  • Daten-EigenschaftLouvre Width: Falls eine der Komponenten auf "Louvres" gesetzt ist, definiert diese Eigenschaft die Breite der Lüftungsschlitzelemente
  • Daten-EigenschaftLouvre Spacing: Falls eine der Komponenten auf "Louvres" gesetzt ist, definiert diese Eigenschaft den Abstand zwischen den Lüftungsschlitzelementen
  • Daten-EigenschaftOpening: Alle Komponenten mit gesetzter "Opening Mode"-Eigenschaft und definiertem Scharnier in dieser oder einer vorherigen Komponente in der Liste werden als n% offen erscheinen. n wird durch den gesetzten Wert definiert
  • Daten-EigenschaftSymbol Plan: Zeigt 2D-Symbole für "zu öffnend" in der Draufsicht
  • Daten-EigenschaftSymbol Elevation: Zeigt 2D-Symbole für "zu öffnend" in Seitenansichten

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Fensterwerkzeug kann in Makros und von der Python Konsole aus mit der folgenden Funktion verwendet werden:

Window = makeWindow(baseobj=None, width=None, height=None, parts=None, name="Window")
  • Erzeugt ein Window-Objekt basierend auf einem baseobj, das ein(e) wohlgeformte(r), geschlossene(r) Linienzug oder Skizze sein sollte.
  • Falls verfügbar, sollten width, height und name des Fensters gesetzt werden.
  • Falls baseobj keine geschlossene Form ist, kann das Werkzeug keinen korrekten Volumenkörper erzeugen.

Beispiel:

import FreeCAD, Draft, Arch

Rect1 = Draft.makeRectangle(length=900, height=3000)
Window = Arch.makeWindow(Rect1)
FreeCAD.ActiveDocument.recompute()

Sie können auch aus einer Vorlage ein Fenster erzeugen.

Window = makeWindowPreset(windowtype, width, height, h1, h2, h3, w1, w2, o1, o2, placement=None)
  • Erstellt ein Fenster objekt basierend auf Fenstertyp, die einer der Namen sein sollte, die in Arch.WindowPresets festgelegt ist
    • Einige dieser Voreinstellungen sind: "Fixed", "Offen 1-Fensterscheibe", "Offen 2-Fensterscheiben", "Fensterflügel 2-Fensterscheiben", "Schiebe 2-Fensterscheiben", "Einfache Tür", "Glastür", "Schiebe 4-Fensterscheiben".
  • Breite und Höhe lege die Gesamtgröße des Objekts mit Einheiten in Millimetern fest.
  • Die Parameter h1, h2, h3 (vertikale Versatze), w1, w2 (Breiten), o1, und o2 (horizontale Versatze) gib verschiedene Abstände in Millimetern an und hänge von der Art der erstellten Voreinstellung ab.
  • Wenn eine PLatzierung angegeben wird, wird es verwendet.

Beispiel:

import FreeCAD, Arch

base = FreeCAD.Vector(2000, 0, 0)
Axis = FreeCAD.Vector(1, 0, 0)
place=FreeCAD.Placement(base, FreeCAD.Rotation(Axis, 90))

Door = Arch.makeWindowPreset("Simple door",
                             width=900, height=2000,
                             h1=100, h2=100, h3=100, w1=200, w2=100, o1=0, o2=100,
                             placement=place)